{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<a href="#" class="dropdown-toggle" data-toggle="dropdown">
    {% set support_label_class = notificationCount > 0 ? 'label-warning' : 'label-default' %}
    <i class="fa fa-bell-o"></i>
    <span class="visible-xs-inline">&nbsp;Notifications</span>
    <span class="label {{ support_label_class }}">{{ notificationCount }}</span>
</a>
<ul class="dropdown-menu">
    {% set support_header_msg = notificationCount == 0 ? 'Aucune nouvelle notification' : notificationCount == 1 ? 'Vous avez <b>1</b> nouvelle notification' : 'Vous avez <b>' ~ notificationCount ~ '</b> nouvelles notifications' %}
    <li class="header">{{ support_header_msg | raw }}</li>
    {% set i = 0 %}
    {% for date, notifications in dates %}
        {% for notification in notifications %}
            {% if i < 10 %}
                <li>
                    <ul class="menu">
                        <li>
                            {# compute route #}
                            {% set route = null %}
                            {% if notification.route != "" %}
                                {% set params = [] %}
                                {% if notification.routeParams is not null %}
                                    {% set params = notification.routeParams %}
                                {% endif %}
                                {% set route = path(notification.route, params) %}
                            {% endif %}

                            {# compute text color and icon #}
                            {% set textColor = 'text-blue' %}
                            {% set icon = 'fa fa-info-circle text-info' %}
                            {% if notification.level >= 400 %}
                                {% set textColor = 'text-red' %}
                                {% set icon = 'fa fa-warning' %}
                            {% elseif notification.level >= 300 %}
                                {% set textColor = 'text-yellow' %}
                                {% set icon = 'fa fa-warning' %}
                            {% elseif notification.level >= 200 %}
                                {% set textColor = 'text-green' %}
                                {% set icon = 'fa fa-check-circle' %}
                            {% endif %}

                            {# display notification #}
                            <a {% if route is not null %}href="{{ route }}"{% endif %} title="{{ notification.message | striptags }}" class="{{ textColor }}">
                                <i class="{{ icon }}"></i> {{ notification.message | striptags | truncate(50, true, '...') }}
                            </a>
                        </li>
                    </ul>
                </li>
                {% set i = i + 1 %}
            {% endif %}
        {% endfor %}
    {% endfor %}
    <li class="footer">
        <a href="{{ path('notification.index') }}">Voir toutes les notifications</a>
    </li>
</ul>